diff --git a/changelog b/changelog
index 2e818cc..666bd42 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071005 tpd src/input/Makefile kamke4.input regression test added
+20071005 tpd src/input/kamke4.input ODE regression test added
 20071005 tpd src/input/Makefile kamke3.input regression test added
 20071005 tpd src/input/kamke3.input ODE regression test added
 20071004 tpd src/input/Makefile kamke2.input regression test added
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 1bda3be..b803938 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -323,6 +323,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
     kamke0.regress    kamke1.regress   kamke2.regress   kamke3.regress \
+    kamke4.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -562,7 +563,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/intlf.input    ${OUT}/intmix.input     ${OUT}/intrf.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
        ${OUT}/kafile.input   ${OUT}/kamke0.input     ${OUT}/kamke1.input \
-       ${OUT}/kamke2.input   ${OUT}/kamke3.input \
+       ${OUT}/kamke2.input   ${OUT}/kamke3.input     ${OUT}/kamke4.input \
        ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
@@ -830,6 +831,7 @@ DOCFILES= \
   ${DOC}/isprime.input.dvi     ${DOC}/kafile.input.dvi     \
   ${DOC}/kamke0.input.dvi      ${DOC}/kamke1.input.dvi     \
   ${DOC}/kamke2.input.dvi      ${DOC}/kamke3.input.dvi     \
+  ${DOC}/kamke4.input.dvi     \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke4.input.pamphlet b/src/input/kamke4.input.pamphlet
new file mode 100644
index 0000000..57e395d
--- /dev/null
+++ b/src/input/kamke4.input.pamphlet
@@ -0,0 +1,1462 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke4.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the 201-250 of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke4.output
+)set break resume
+)set mes auto off
+)clear all
+--S 1 of 127
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 127
+f:=operator 'f
+--R 
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 2
+
+--S 3 of 127
+f0:=operator 'f0
+--R 
+--R
+--R   (3)  f0
+--R                                                          Type: BasicOperator
+--E 3
+
+--S 4 of 127
+f1:=operator 'f1
+--R 
+--R
+--R   (4)  f1
+--R                                                          Type: BasicOperator
+--E 4
+
+--S 5 of 127
+f2:=operator 'f2
+--R 
+--R
+--R   (5)  f2
+--R                                                          Type: BasicOperator
+--E 5
+
+--S 6 of 127
+g:=operator 'g
+--R 
+--R
+--R   (6)  g
+--R                                                          Type: BasicOperator
+--E 6
+
+--S 7 of 127
+tg:=operator 'tg
+--R 
+--R
+--R   (7)  tg
+--R                                                          Type: BasicOperator
+--E 7
+
+--S 8 of 127
+h:=operator 'h
+--R 
+--R
+--R   (8)  h
+--R                                                          Type: BasicOperator
+--E 8
+
+--S 9 of 127
+ode201 := 2*f(x)*D(y(x),x)+2*f(x)*y(x)**2-D(f(x),x)*y(x)-2*f(x)**2
+--R 
+--R
+--R              ,           ,               2        2
+--R   (9)  2f(x)y (x) - y(x)f (x) + 2f(x)y(x)  - 2f(x)
+--R
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 127
+solve(ode201,y,x)
+--R 
+--R
+--R   (10)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 10
+
+--S 11 of 127
+ode202 := f(x)*D(y(x),x)+g(x)*tg(y(x))+h(x)
+--R 
+--R
+--R              ,
+--R   (11)  f(x)y (x) + g(x)tg(y(x)) + h(x)
+--R
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 127
+solve(ode202,y,x)
+--R 
+--R
+--R   (12)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 12
+
+--S 13 of 127
+ode203 := y(x)*D(y(x),x)+y(x)+x**3
+--R 
+--R
+--R              ,              3
+--R   (13)  y(x)y (x) + y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 127
+solve(ode203,y,x)
+--R 
+--R
+--R   (14)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 14
+
+--S 15 of 127
+ode204 := y(x)*D(y(x),x)+a*y(x)+x
+--R 
+--R
+--R              ,
+--R   (15)  y(x)y (x) + a y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 127
+solve(ode204,y,x)
+--R 
+--R
+--R   (16)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 16
+
+--S 17 of 127
+ode205 := y(x)*D(y(x),x)+a*y(x)+(a**2-1)/(4)*x+b*x**n
+--R 
+--R
+--R               ,          n               2
+--R         4y(x)y (x) + 4b x  + 4a y(x) + (a  - 1)x
+--R
+--R   (17)  ----------------------------------------
+--R                             4
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 127
+solve(ode205,y,x)
+--R 
+--R
+--R   (18)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 18
+
+--S 19 of 127
+ode206 := y(x)*D(y(x),x)+a*y(x)+b*exp(x)-2*a
+--R 
+--R
+--R              ,          x
+--R   (19)  y(x)y (x) + b %e  + a y(x) - 2a
+--R
+--R                                                     Type: Expression Integer
+--E 19
+
+--S 20 of 127
+solve(ode206,y,x)
+--R 
+--R
+--R   (20)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 20
+
+--S 21 of 127
+ode207 := y(x)*D(y(x),x)+y(x)**2+4*x*(x+1)
+--R 
+--R
+--R              ,          2     2
+--R   (21)  y(x)y (x) + y(x)  + 4x  + 4x
+--R
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 127
+yx:=solve(ode207,y,x)
+--R 
+--R
+--R              2     2   2x
+--R         (y(x)  + 4x )%e
+--R   (22)  -----------------
+--R                 2
+--R                                          Type: Union(Expression Integer,...)
+--E 22
+
+--S 23 of 127
+ode207expr := yx*D(yx,x)+yx**2+4*x*(x+1)
+--R 
+--R
+--R   (23)
+--R             3     2        2x 2 ,
+--R       (2y(x)  + 8x y(x))(%e  ) y (x)
+--R
+--R     + 
+--R             4       2          2      4      3    2x 2      2
+--R       (3y(x)  + (24x  + 8x)y(x)  + 48x  + 32x )(%e  )  + 16x  + 16x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 23
+
+--S 24 of 127
+ode208 := y(x)*D(y(x),x)+a*y(x)**2-b*cos(x+c)
+--R 
+--R
+--R              ,                           2
+--R   (24)  y(x)y (x) - b cos(x + c) + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 127
+yx:=solve(ode208,y,x)
+--R 
+--R
+--R                2a x                                     2         2   2a x
+--R         - 2b %e    sin(x + c) + (- 4a b cos(x + c) + (4a  + 1)y(x) )%e
+--R   (25)  ------------------------------------------------------------------
+--R                                         2
+--R                                       8a  + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 25
+
+--S 26 of 127
+ode208expr := yx*D(yx,x)+a*yx**2-b*cos(x+c)
+--R 
+--R
+--R   (26)
+--R                 2              2a x 2
+--R           (- 16a  - 4)b y(x)(%e    ) sin(x + c)
+--R         + 
+--R                  3                             4      2         3    2a x 2
+--R           ((- 32a  - 8a)b y(x)cos(x + c) + (32a  + 16a  + 2)y(x) )(%e    )
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R           2   2a x 2          2
+--R       4a b (%e    ) sin(x + c)
+--R     + 
+--R            2      2                   3            2    2a x 2
+--R       ((32a  + 4)b cos(x + c) + (- 32a  - 8a)b y(x) )(%e    ) sin(x + c)
+--R     + 
+--R               3       2          2         4      2           2
+--R           (48a  + 8a)b cos(x + c)  + (- 96a  - 32a  - 2)b y(x) cos(x + c)
+--R         + 
+--R               5      3          4
+--R           (48a  + 24a  + 3a)y(x)
+--R      *
+--R            2a x 2
+--R         (%e    )
+--R     + 
+--R             4      2
+--R       (- 64a  - 32a  - 4)b cos(x + c)
+--R  /
+--R        4      2
+--R     64a  + 32a  + 4
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 127
+ode209 := y(x)*D(y(x),x)-sqrt(a*y(x)**2+b)
+--R 
+--R
+--R                      +-----------+
+--R              ,       |      2
+--R   (27)  y(x)y (x) - \|a y(x)  + b
+--R
+--R                                                     Type: Expression Integer
+--E 27
+
+--S 28 of 127
+yx:=solve(ode209,y,x)
+--R 
+--R
+--R                 +-----------+
+--R             +-+ |      2            2 +-+
+--R         - x\|b \|a y(x)  + b  + y(x) \|b  + b x
+--R   (28)  ---------------------------------------
+--R                       +-----------+
+--R                   +-+ |      2
+--R                  \|b \|a y(x)  + b  - b
+--R                                          Type: Union(Expression Integer,...)
+--E 28
+
+--S 29 of 127
+ode209expr := yx*D(yx,x)-sqrt(a*yx**2+b)
+--R 
+--R
+--R   (29)
+--R                               +-----------+
+--R                      2     2  |      2          2    4            2     2  +-+
+--R         ((- 3a b y(x)  - 4b )\|a y(x)  + b  + (a y(x)  + 5a b y(x)  + 4b )\|b )
+--R      *
+--R         ROOT
+--R                                                +-----------+
+--R                      2       +-+            2  |      2                 2 +-+
+--R                ((2a x  + 2b)\|b  + 2a x y(x) )\|a y(x)  + b  - 2a x y(x) \|b
+--R              + 
+--R                        4       2 2           2         2     2
+--R                - a y(x)  + (- a x  - a b)y(x)  - 2a b x  - 2b
+--R           /
+--R                    +-----------+
+--R                +-+ |      2              2
+--R              2\|b \|a y(x)  + b  - a y(x)  - 2b
+--R     + 
+--R                                                    +-----------+
+--R                     3              +-+          3  |      2
+--R           ((a x y(x)  + 4b x y(x))\|b  + 2b y(x) )\|a y(x)  + b
+--R         + 
+--R                    5          3  +-+              3     2
+--R           (- a y(x)  - 2b y(x) )\|b  - 3a b x y(x)  - 4b x y(x)
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                                                        +-----------+
+--R               4          2  +-+              2     2   |      2
+--R       ((a y(x)  + 2b y(x) )\|b  + 3a b x y(x)  + 4b x)\|a y(x)  + b
+--R     + 
+--R           2      4              2     2   +-+            4     2    2
+--R       (- a x y(x)  - 5a b x y(x)  - 4b x)\|b  - 2a b y(x)  - 2b y(x)
+--R  /
+--R                        +-----------+
+--R               2     2  |      2            2    4            2     2  +-+
+--R     (3a b y(x)  + 4b )\|a y(x)  + b  + (- a y(x)  - 5a b y(x)  - 4b )\|b
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 127
+ode210 := y(x)*D(y(x),x)+x*y(x)**2-4*x
+--R 
+--R
+--R              ,            2
+--R   (30)  y(x)y (x) + x y(x)  - 4x
+--R
+--R                                                     Type: Expression Integer
+--E 30
+
+--S 31 of 127
+yx:=solve(ode210,y,x)
+--R 
+--R
+--R                       2
+--R              2       x
+--R         (y(x)  - 4)%e
+--R   (31)  ---------------
+--R                2
+--R                                          Type: Union(Expression Integer,...)
+--E 31
+
+--S 32 of 127
+ode210expr := yx*D(yx,x)+x*yx**2-4*x
+--R 
+--R
+--R   (32)
+--R                       2 2                                        2 2
+--R         3            x    ,              4           2          x
+--R   (2y(x)  - 8y(x))(%e  ) y (x) + (3x y(x)  - 24x y(x)  + 48x)(%e  )  - 16x
+--R
+--R   ------------------------------------------------------------------------
+--R                                       4
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 127
+ode211 := y(x)*D(y(x),x)-x*exp(x/y(x))
+--R 
+--R
+--R                           x
+--R                         ----
+--R              ,          y(x)
+--R   (33)  y(x)y (x) - x %e
+--R
+--R                                                     Type: Expression Integer
+--E 33
+
+--S 34 of 127
+solve(ode211,y,x)
+--R 
+--R
+--R   (34)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 34
+
+--S 35 of 127
+ode212 := y(x)*D(y(x),x)+f(x**2+y(x)**2)*g(x)+x
+--R 
+--R
+--R              ,                2    2
+--R   (35)  y(x)y (x) + g(x)f(y(x)  + x ) + x
+--R
+--R                                                     Type: Expression Integer
+--E 35
+
+--S 36 of 127
+solve(ode212,y,x)
+--R 
+--R
+--R   (36)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 36
+
+--S 37 of 127
+ode213 := (y(x)+1)*D(y(x),x)-y(x)-x
+--R 
+--R
+--R                    ,
+--R   (37)  (y(x) + 1)y (x) - y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 37
+
+--S 38 of 127
+solve(ode213,y,x)
+--R 
+--R
+--R   (38)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 38
+
+--S 39 of 127
+ode214 := (y(x)+x-1)*D(y(x),x)-y(x)+2*x+3
+--R 
+--R
+--R                        ,
+--R   (39)  (y(x) + x - 1)y (x) - y(x) + 2x + 3
+--R
+--R                                                     Type: Expression Integer
+--E 39
+
+--S 40 of 127
+solve(ode214,y,x)
+--R 
+--R
+--R   (40)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 40
+
+--S 41 of 127
+ode215 := (y(x)+2*x-2)*D(y(x),x)-y(x)+x+1
+--R 
+--R
+--R                         ,
+--R   (41)  (y(x) + 2x - 2)y (x) - y(x) + x + 1
+--R
+--R                                                     Type: Expression Integer
+--E 41
+
+--S 42 of 127
+solve(ode215,y,x)
+--R 
+--R
+--R   (42)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 42
+
+--S 43 of 127
+ode216 := (y(x)-2*x+1)*D(y(x),x)+y(x)+x
+--R 
+--R
+--R                         ,
+--R   (43)  (y(x) - 2x + 1)y (x) + y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 43
+
+--S 44 of 127
+solve(ode216,y,x)
+--R 
+--R
+--R   (44)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 44
+
+--S 45 of 127
+ode217 := (y(x)-x**2)*D(y(x),x)-x
+--R 
+--R
+--R                  2  ,
+--R   (45)  (y(x) - x )y (x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 45
+
+--S 46 of 127
+yx:=solve(ode217,y,x)
+--R 
+--R
+--R                    2       2y(x)
+--R         (2y(x) - 2x  - 1)%e
+--R   (46)  ------------------------
+--R                     4
+--R                                          Type: Union(Expression Integer,...)
+--E 46
+
+--S 47 of 127
+ode217expr := (yx-x**2)*D(yx,x)-x
+--R 
+--R
+--R   (47)
+--R                 2        2              4    2    2y(x) 2
+--R           (2y(x)  + (- 4x  - 1)y(x) + 2x  + x )(%e     )
+--R         + 
+--R                2         4   2y(x)
+--R           (- 4x y(x) + 4x )%e
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                      3        2y(x) 2     3  2y(x)
+--R       (- 2x y(x) + 2x  + x)(%e     )  + 4x %e      - 4x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 127
+ode218 := (y(x)-x**2)*D(y(x),x)+4*x*y(x)
+--R 
+--R
+--R                  2  ,
+--R   (48)  (y(x) - x )y (x) + 4x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 48
+
+--S 49 of 127
+yx:=solve(ode218,y,x)
+--R 
+--R
+--R                   2
+--R         2y(x) + 2x
+--R   (49)  -----------
+--R            +----+
+--R           \|y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 49
+
+--S 50 of 127
+ode218expr := (yx-x**2)*D(yx,x)+4*x*yx
+--R 
+--R
+--R   (50)
+--R              2     4  +----+    2    2    4      ,
+--R       ((2y(x)  - 2x )\|y(x)  - x y(x)  + x y(x))y (x)
+--R
+--R     + 
+--R               2     3      +----+          3     3    2
+--R       (8x y(x)  + 8x y(x))\|y(x)  + 8x y(x)  + 4x y(x)
+--R  /
+--R         2 +----+
+--R     y(x) \|y(x)
+--R                                                     Type: Expression Integer
+--E 50
+
+--S 51 of 127
+ode219 := (y(x)+g(x))*D(y(x),x)-f2(x)*y(x)**2-f1(x)*y(x)-f0(x)
+--R 
+--R
+--R                       ,               2
+--R   (51)  (y(x) + g(x))y (x) - f2(x)y(x)  - f1(x)y(x) - f0(x)
+--R
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 127
+solve(ode219,y,x)
+--R 
+--R
+--R   (52)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 52
+
+--S 53 of 127
+ode220 := 2*y(x)*D(y(x),x)-x*y(x)**2-x**3
+--R 
+--R
+--R               ,            2    3
+--R   (53)  2y(x)y (x) - x y(x)  - x
+--R
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 127
+yx:=solve(ode220,y,x)
+--R 
+--R
+--R                              2
+--R                             x
+--R                           - --
+--R              2    2          2
+--R   (54)  (y(x)  + x  + 2)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 54
+
+--S 55 of 127
+ode220expr := 2*yx*D(yx,x)-x*yx**2-x**3
+--R 
+--R
+--R   (55)
+--R                                   2 2
+--R                                  x
+--R                                - --
+--R           3      2                2   ,
+--R     (4y(x)  + (4x  + 8)y(x))(%e    ) y (x)
+--R
+--R   + 
+--R                                                            2 2
+--R                                                           x
+--R                                                         - --
+--R               4        3          2     5     3            2      3
+--R     (- 3x y(x)  + (- 6x  - 8x)y(x)  - 3x  - 8x  - 4x)(%e    )  - x
+--R                                                     Type: Expression Integer
+--E 55
+
+--S 56 of 127
+ode221 := (2*y(x)+x+1)*D(y(x),x)-(2*y(x)+x-1)
+--R 
+--R
+--R                         ,
+--R   (56)  (2y(x) + x + 1)y (x) - 2y(x) - x + 1
+--R
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 127
+solve(ode221,y,x)
+--R 
+--R
+--R   (57)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 57
+
+--S 58 of 127
+ode222 := (2*y(x)+x+7)*D(y(x),x)-y(x)+2*x+4
+--R 
+--R
+--R                         ,
+--R   (58)  (2y(x) + x + 7)y (x) - y(x) + 2x + 4
+--R
+--R                                                     Type: Expression Integer
+--E 58
+
+--S 59 of 127
+solve(ode222,y,x)
+--R 
+--R
+--R   (59)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 59
+
+--S 60 of 127
+ode223 := (2*y(x)-x)*D(y(x),x)-y(x)-2*x
+--R 
+--R
+--R                     ,
+--R   (60)  (2y(x) - x)y (x) - y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 127
+yx:=solve(ode223,y,x)
+--R 
+--R
+--R             2             2
+--R   (61)  y(x)  - x y(x) - x
+--R                                          Type: Union(Expression Integer,...)
+--E 61
+
+--S 62 of 127
+ode223expr := (2*yx-x)*D(yx,x)-yx-2*x
+--R 
+--R
+--R   (62)
+--R           3          2        2               3    2  ,           3
+--R     (4y(x)  - 6x y(x)  + (- 2x  - 2x)y(x) + 2x  + x )y (x) - 2y(x)
+--R
+--R   + 
+--R                   2      2               3     2
+--R     (- 2x - 1)y(x)  + (6x  + 2x)y(x) + 4x  + 3x  - 2x
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 127
+ode224 := (2*y(x)-6*x)*D(y(x),x)-y(x)+3*x+2
+--R 
+--R
+--R                      ,
+--R   (63)  (2y(x) - 6x)y (x) - y(x) + 3x + 2
+--R
+--R                                                     Type: Expression Integer
+--E 63
+
+--S 64 of 127
+solve(ode224,y,x)
+--R 
+--R
+--R   (64)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 64
+
+--S 65 of 127
+ode225 := (4*y(x)+2*x+3)*D(y(x),x)-2*y(x)-x-1
+--R 
+--R
+--R                          ,
+--R   (65)  (4y(x) + 2x + 3)y (x) - 2y(x) - x - 1
+--R
+--R                                                     Type: Expression Integer
+--E 65
+
+--S 66 of 127
+solve(ode225,y,x)
+--R 
+--R
+--R   (66)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 66
+
+--S 67 of 127
+ode226 := (4*y(x)-2*x-3)*D(y(x),x)+2*y(x)-x-1
+--R 
+--R
+--R                          ,
+--R   (67)  (4y(x) - 2x - 3)y (x) + 2y(x) - x - 1
+--R
+--R                                                     Type: Expression Integer
+--E 67
+
+--S 68 of 127
+solve(ode226,y,x)
+--R 
+--R
+--R   (68)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 68
+
+--S 69 of 127
+ode227 := (4*y(x)-3*x-5)*D(y(x),x)-3*y(x)+7*x+2
+--R 
+--R
+--R                          ,
+--R   (69)  (4y(x) - 3x - 5)y (x) - 3y(x) + 7x + 2
+--R
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 127
+yx:=solve(ode227,y,x)
+--R 
+--R
+--R              2                       2
+--R         4y(x)  + (- 6x - 10)y(x) + 7x  + 4x
+--R   (70)  -----------------------------------
+--R                          2
+--R                                          Type: Union(Expression Integer,...)
+--E 70
+
+--S 71 of 127
+ode227expr := (4*yx-3*x-5)*D(yx,x)-3*yx+7*x+2
+--R 
+--R
+--R   (71)
+--R                 3                     2        2                        3
+--R           64y(x)  + (- 144x - 240)y(x)  + (184x  + 280x + 160)y(x) - 84x
+--R         + 
+--R                 2
+--R           - 170x  - 20x + 50
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R               3                   2          2                        3       2
+--R       - 48y(x)  + (184x + 140)y(x)  + (- 252x  - 340x - 20)y(x) + 196x  + 105x
+--R     + 
+--R       - 48x - 16
+--R  /
+--R     2
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 127
+ode228 := (4*y(x)+11*x-11) *D(y(x),x)-25*y(x)-8*x+62
+--R 
+--R
+--R                            ,
+--R   (72)  (4y(x) + 11x - 11)y (x) - 25y(x) - 8x + 62
+--R
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 127
+solve(ode228,y,x)
+--R 
+--R
+--R   (73)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 73
+
+--S 74 of 127
+ode229 := (12*y(x)-5*x-8)*D(y(x),x)-5*y(x)+2*x+3
+--R 
+--R
+--R                           ,
+--R   (74)  (12y(x) - 5x - 8)y (x) - 5y(x) + 2x + 3
+--R
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 127
+yx:=solve(ode229,y,x)
+--R 
+--R
+--R              2                     2
+--R   (75)  6y(x)  + (- 5x - 8)y(x) + x  + 3x
+--R                                          Type: Union(Expression Integer,...)
+--E 75
+
+--S 76 of 127
+ode229expr := (12*yx-5*x-8)*D(yx,x)-5*yx+2*x+3
+--R 
+--R
+--R   (76)
+--R                3                       2        2                         3
+--R         864y(x)  + (- 1080x - 1728)y(x)  + (444x  + 1332x + 672)y(x) - 60x
+--R       + 
+--R               2
+--R         - 251x  - 208x + 64
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R              3                   2          2                        3      2
+--R     - 360y(x)  + (444x + 666)y(x)  + (- 180x  - 502x - 208)y(x) + 24x  + 93x
+--R   + 
+--R     64x - 21
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 127
+ode230 := a*y(x)*D(y(x),x)+b*y(x)**2+f(x)
+--R 
+--R
+--R                ,            2
+--R   (77)  a y(x)y (x) + b y(x)  + f(x)
+--R
+--R                                                     Type: Expression Integer
+--E 77
+
+--S 78 of 127
+solve(ode230,y,x)
+--R 
+--R
+--I                                 2%I b
+--R            x                    -----
+--R          ++         2             a
+--I   (78)   |   (b y(x)  + f(%I))%e     d%I
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 78
+
+--S 79 of 127
+ode231 := (a*y(x)+b*x+c)*D(y(x),x)+alpha*y(x)+beta*x+gamma
+--R 
+--R
+--R                            ,
+--R   (79)  (a y(x) + b x + c)y (x) + alpha y(x) + beta x + gamma
+--R
+--R                                                     Type: Expression Integer
+--E 79
+
+--S 80 of 127
+solve(ode231,y,x)
+--R 
+--R
+--R   (80)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 80
+
+--S 81 of 127
+ode232 := x*y(x)*D(y(x),x)+y(x)**2+x**2
+--R 
+--R
+--R                ,          2    2
+--R   (81)  x y(x)y (x) + y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 81
+
+--S 82 of 127
+yx:=solve(ode232,y,x)
+--R 
+--R
+--R           2    2    4
+--R         2x y(x)  + x
+--R   (82)  -------------
+--R               4
+--R                                          Type: Union(Expression Integer,...)
+--E 82
+
+--S 83 of 127
+ode232expr := x*yx*D(yx,x)+yx**2+x**2
+--R 
+--R
+--R            5    3     7      ,         4    4      6    2     8      2
+--R         (8x y(x)  + 4x y(x))y (x) + 12x y(x)  + 16x y(x)  + 5x  + 16x
+--R
+--R   (83)  --------------------------------------------------------------
+--R                                       16
+--R                                                     Type: Expression Integer
+--E 83
+
+--S 84 of 127
+ode233 := x*y(x)*D(y(x),x)-y(x)**2+a*x**3*cos(x)
+--R 
+--R
+--R                ,         3             2
+--R   (84)  x y(x)y (x) + a x cos(x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 127
+yx:=solve(ode233,y,x)
+--R 
+--R
+--R             2             2
+--R         2a x sin(x) + y(x)
+--R   (85)  -------------------
+--R                   2
+--R                 2x
+--R                                          Type: Union(Expression Integer,...)
+--E 85
+
+--S 86 of 127
+ode233expr := x*yx*D(yx,x)-yx**2+a*x**3*cos(x)
+--R 
+--R
+--R   (86)
+--R            3                    3  ,        2 4      2
+--R       (4a x y(x)sin(x) + 2x y(x) )y (x) - 4a x sin(x)
+--R
+--R     + 
+--R          2 5             2    2               3    2       7               4
+--R       (4a x cos(x) - 8a x y(x) )sin(x) + (2a x y(x)  + 4a x )cos(x) - 3y(x)
+--R  /
+--R       4
+--R     4x
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 127
+ode234 := x*y(x)*D(y(x),x)-y(x)**2+x*y(x)+x**3-2*x**2
+--R 
+--R
+--R                ,          2             3     2
+--R   (87)  x y(x)y (x) - y(x)  + x y(x) + x  - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 87
+
+--S 88 of 127
+solve(ode234,y,x)
+--R 
+--R
+--R   (88)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 88
+
+--S 89 of 127
+ode235 := (x*y(x)+a)*D(y(x),x)+b*y(x)
+--R 
+--R
+--R                      ,
+--R   (89)  (x y(x) + a)y (x) + b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 127
+yx:=solve(ode235,y,x)
+--R 
+--R
+--R               y(x)
+--R               ----
+--R                 b         y(x)
+--R   (90)  b x %e     + a Ei(----)
+--R                             b
+--R                                          Type: Union(Expression Integer,...)
+--E 90
+
+--S 91 of 127
+ode235expr := (x*yx+a)*D(yx,x)+b*yx
+--R 
+--R
+--R   (91)
+--R                                 y(x) 2
+--R                                 ----
+--R               3            2      b
+--R           (b x y(x) + a b x )(%e    )
+--R         + 
+--R                                                       y(x)
+--R                                                       ----
+--R                2        2     y(x)                2     b
+--R           ((a x y(x) + a x)Ei(----) + a x y(x) + a )%e
+--R                                 b
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                  y(x) 2                                           y(x)
+--R                  ----                                             ----
+--R        2 2         b                    y(x)      2                 b
+--R       b x y(x)(%e    )  + (a b x y(x)Ei(----) + (b x + a b)y(x))%e
+--R                                           b
+--R     + 
+--R                  y(x)
+--R       a b y(x)Ei(----)
+--R                    b
+--R  /
+--R     y(x)
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 127
+ode236 := x*(y(x)+4)*D(y(x),x)-y(x)**2-2*y(x)-2*x
+--R 
+--R
+--R                       ,          2
+--R   (92)  (x y(x) + 4x)y (x) - y(x)  - 2y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 127
+solve(ode236,y,x)
+--R 
+--R
+--R   (93)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 93
+
+--S 94 of 127
+ode237 := x*(y(x)+a)*D(y(x),x)+b*y(x)+c*x
+--R 
+--R
+--R                        ,
+--R   (94)  (x y(x) + a x)y (x) + b y(x) + c x
+--R
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 127
+solve(ode237,y,x)
+--R 
+--R
+--R   (95)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 95
+
+--S 96 of 127
+ode238 := (x*(y(x)+x)+a)*D(y(x),x)-y(x)*(y(x)+x)-b
+--R 
+--R
+--R                    2      ,          2
+--R   (96)  (x y(x) + x  + a)y (x) - y(x)  - x y(x) - b
+--R
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 127
+solve(ode238,y,x)
+--R 
+--R
+--R   (97)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 97
+
+--S 98 of 127
+ode239 := (x*y(x)-x**2)*D(y(x),x)+y(x)**2-3*x*y(x)-2*x**2
+--R 
+--R
+--R                    2  ,          2               2
+--R   (98)  (x y(x) - x )y (x) + y(x)  - 3x y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 98
+
+--S 99 of 127
+yx:=solve(ode239,y,x)
+--R 
+--R
+--R          2    2     3        4
+--R         x y(x)  - 2x y(x) - x
+--R   (99)  ----------------------
+--R                    2
+--R                                          Type: Union(Expression Integer,...)
+--E 99
+
+--S 100 of 127
+ode239expr := (x*yx-x**2)*D(yx,x)+yx**2-3*x*yx-2*x**2
+--R 
+--R
+--R   (100)
+--R          5    3     6    2      7     4          8     5  ,        4    4
+--R       (2x y(x)  - 6x y(x)  + (2x  - 4x )y(x) + 2x  + 4x )y (x) + 3x y(x)
+--R
+--R     + 
+--R            5    3      6      3     2       7      4          8      5     2
+--R       - 14x y(x)  + (8x  - 10x )y(x)  + (18x  + 24x )y(x) + 5x  + 14x  - 8x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 127
+ode240 := 2*x*y(x)*D(y(x),x)-y(x)**2+a*x
+--R 
+--R
+--R                  ,          2
+--R   (101)  2x y(x)y (x) - y(x)  + a x
+--R
+--R                                                     Type: Expression Integer
+--E 101
+
+--S 102 of 127
+yx:=solve(ode240,y,x)
+--R 
+--R
+--R                           2
+--R          a x log(x) + y(x)
+--R   (102)  ------------------
+--R                   x
+--R                                          Type: Union(Expression Integer,...)
+--E 102
+
+--S 103 of 127
+ode240expr := 2*x*yx*D(yx,x)-yx**2+a*x
+--R 
+--R
+--R   (103)
+--R            2                    3  ,       2 2      2
+--R       (4a x y(x)log(x) + 4x y(x) )y (x) - a x log(x)
+--R
+--R     + 
+--R                   2     2 2               4            2      3
+--R       (- 4a x y(x)  + 2a x )log(x) - 3y(x)  + 2a x y(x)  + a x
+--R  /
+--R      2
+--R     x
+--R                                                     Type: Expression Integer
+--E 103
+
+--S 104 of 127
+ode241 := 2*x*y(x)*D(y(x),x)-y(x)**2+a*x**2
+--R 
+--R
+--R                  ,          2      2
+--R   (104)  2x y(x)y (x) - y(x)  + a x
+--R
+--R                                                     Type: Expression Integer
+--E 104
+
+--S 105 of 127
+yx:=solve(ode241,y,x)
+--R 
+--R
+--R              2      2
+--R          y(x)  + a x
+--R   (105)  ------------
+--R                x
+--R                                          Type: Union(Expression Integer,...)
+--E 105
+
+--S 106 of 127
+ode241expr := 2*x*yx*D(yx,x)-yx**2+a*x**2
+--R 
+--R
+--R                  3       3      ,           4       2    2     2      4
+--R          (4x y(x)  + 4a x y(x))y (x) - 3y(x)  - 2a x y(x)  + (a  + a)x
+--R
+--R   (106)  --------------------------------------------------------------
+--R                                         2
+--R                                        x
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 127
+ode242 := 2*x*y(x)*D(y(x),x)+2*y(x)**2+1
+--R 
+--R
+--R                  ,           2
+--R   (107)  2x y(x)y (x) + 2y(x)  + 1
+--R
+--R                                                     Type: Expression Integer
+--E 107
+
+--S 108 of 127
+yx:=solve(ode242,y,x)
+--R 
+--R
+--R            2    2    2
+--R          2x y(x)  + x
+--R   (108)  -------------
+--R                2
+--R                                          Type: Union(Expression Integer,...)
+--E 108
+
+--S 109 of 127
+ode242expr := 2*x*yx*D(yx,x)+2*yx**2+1
+--R 
+--R
+--R             5    3     5      ,         4    4      4    2     4
+--R          (8x y(x)  + 4x y(x))y (x) + 12x y(x)  + 12x y(x)  + 3x  + 2
+--R
+--R   (109)  -----------------------------------------------------------
+--R                                       2
+--R                                                     Type: Expression Integer
+--E 109
+
+--S 110 of 127
+ode243 := x*(2*y(x)+x-1)*D(y(x),x)-y(x)*(y(x)+2*x+1)
+--R 
+--R
+--R                      2      ,          2
+--R   (110)  (2x y(x) + x  - x)y (x) - y(x)  + (- 2x - 1)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 110
+
+--S 111 of 127
+solve(ode243,y,x)
+--R 
+--R
+--R   (111)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 111
+
+--S 112 of 127
+ode244 := x*(2*y(x)-x-1)*D(y(x),x)+y(x)*(2*x-y(x)-1)
+--R 
+--R
+--R                      2      ,          2
+--R   (112)  (2x y(x) - x  - x)y (x) - y(x)  + (2x - 1)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 112
+
+--S 113 of 127
+solve(ode244,y,x)
+--R 
+--R
+--R   (113)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 113
+
+--S 114 of 127
+ode245 := (2*x*y(x)+4*x**3)*D(y(x),x)+y(x)**2+112*x**2*y(x)
+--R 
+--R
+--R                       3  ,          2       2
+--R   (114)  (2x y(x) + 4x )y (x) + y(x)  + 112x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 114
+
+--S 115 of 127
+solve(ode245,y,x)
+--R 
+--R
+--R   (115)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 115
+
+--S 116 of 127
+ode246 := x*(3*y(x)+2*x)*D(y(x),x)+3*(y(x)+x)**2
+--R 
+--R
+--R                       2  ,           2               2
+--R   (116)  (3x y(x) + 2x )y (x) + 3y(x)  + 6x y(x) + 3x
+--R
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 127
+yx:=solve(ode246,y,x)
+--R 
+--R
+--R            2    2     3         4
+--R          6x y(x)  + 8x y(x) + 3x
+--R   (117)  ------------------------
+--R                      4
+--R                                          Type: Union(Expression Integer,...)
+--E 117
+
+--S 118 of 127
+ode246expr := x*(3*yx+2*x)*D(yx,x)+3*(yx+x)**2
+--R 
+--R
+--R   (118)
+--R            5    3       6    2        7      4           8      5  ,
+--R       (216x y(x)  + 432x y(x)  + (300x  + 96x )y(x) + 72x  + 64x )y (x)
+--R
+--R     + 
+--R           4    4        5    3         6       3     2        7       4
+--R       324x y(x)  + 1008x y(x)  + (1200x  + 240x )y(x)  + (648x  + 384x )y(x)
+--R     + 
+--R           8       5      2
+--R       135x  + 168x  + 48x
+--R  /
+--R     16
+--R                                                     Type: Expression Integer
+--E 118
+
+--S 119 of 127
+ode247 := (3*x+2)*(y(x)-2*x-1)*D(y(x),x)-y(x)**2+x*y(x)-7*x**2-9*x-3
+--R 
+--R
+--R                            2           ,          2              2
+--R   (119)  ((3x + 2)y(x) - 6x  - 7x - 2)y (x) - y(x)  + x y(x) - 7x  - 9x - 3
+--R
+--R                                                     Type: Expression Integer
+--E 119
+
+--S 120 of 127
+solve(ode247,y,x)
+--R 
+--R
+--R   (120)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 120
+
+--S 121 of 127
+ode248 := (6*x*y(x)+x**2+3)*D(y(x),x)+3*y(x)**2+2*x*y(x)+2*x
+--R 
+--R
+--R                      2      ,           2
+--R   (121)  (6x y(x) + x  + 3)y (x) + 3y(x)  + 2x y(x) + 2x
+--R
+--R                                                     Type: Expression Integer
+--E 121
+
+--S 122 of 127
+yx:=solve(ode248,y,x)
+--R 
+--R
+--R                 2     2             2
+--R   (122)  3x y(x)  + (x  + 3)y(x) + x
+--R                                          Type: Union(Expression Integer,...)
+--E 122
+
+--S 123 of 127
+ode248expr := (6*x*yx+x**2+3)*D(yx,x)+3*yx**2+2*x*yx+2*x
+--R 
+--R
+--R   (123)
+--R             3    3       4       2     2      5      4      3                5
+--R         108x y(x)  + (54x  + 162x )y(x)  + (6x  + 36x  + 42x  + 72x)y(x) + 6x
+--R       + 
+--R          4      3     2
+--R         x  + 18x  + 6x  + 9
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R        2    4       3            3       4      3      2          2
+--R     81x y(x)  + (72x  + 108x)y(x)  + (15x  + 72x  + 63x  + 36)y(x)
+--R   + 
+--R         4     3      2                 4     3
+--R     (30x  + 4x  + 54x  + 12x)y(x) + 15x  + 4x  + 8x
+--R                                                     Type: Expression Integer
+--E 123
+
+--S 124 of 127
+ode249 := (a*x*y(x)+b*x**n)*D(y(x),x)+alpha*y(x)**3+beta*y(x)**2
+--R 
+--R
+--R              n             ,                3            2
+--R   (124)  (b x  + a x y(x))y (x) + alpha y(x)  + beta y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 124
+
+--S 125 of 127
+solve(ode249,y,x)
+--R 
+--R
+--R   (125)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 125
+
+--S 126 of 127
+ode250 := (B*x*y(x)+A*x**2+a*x+b*y(x)+c)*D(y(x),x)-B*g(x)**2+_
+             A*x*y(x)+alpha*x+beta*y(x)+gamma
+--R 
+--R
+--R   (126)
+--R                         2            ,                               2
+--R     ((B x + b)y(x) + A x  + a x + c)y (x) + (A x + beta)y(x) - B g(x)
+--R
+--R   + 
+--R     alpha x + gamma
+--R                                                     Type: Expression Integer
+--E 126
+
+--S 127 of 127
+solve(ode250,y,x)
+--R 
+--R
+--R   (127)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 127
+
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
+ 
